ServerEvents.recipes(event => {
    // Powders are created by further crushing dusts
    event.recipes.thermal.pulverizer('powder_power:powder_end_pearl', ['#forge:dusts/ender_pearl']);
    event.recipes.create.crushing(`powder_power:powder_end_pearl`, `#forge:dusts/ender_pearl`);
    event.recipes.thermal.pulverizer('powder_power:powder_nether_quartz', ['#forge:dusts/quartz']);
    event.recipes.create.crushing(`powder_power:powder_nether_quartz`, `#forge:dusts/quartz`);

    ['redstone', 'lapis', 'copper', 'prismarine', 'obsidian', 'ghast_tear'].forEach(element => {
        event.recipes.thermal.pulverizer(`powder_power:powder_${element}`, [`#forge:dusts/${element}`]);
        event.recipes.create.crushing(`powder_power:powder_${element}`, `#forge:dusts/${element}`);
    });
});